GET /api/v202210/ghg/default Deprecated

Get the default GHG scopes and factors that are applied to new meters GHG License is required to call this endpoint

GetDefaultGHGSettingsV202210

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGDefaultSettingResponseV202210
Property Description Type
commodityCode The Commodity Code string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The Commodity ID integer (int32)
commodityInfo The Commodity Info string
defaultFactor GHGFactorV202210
GHGFactorV202210 properties
Property Description Type
factorCategory GHGFactorCategoryV202210
GHGFactorCategoryV202210 properties
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
factorDescription The Factor Description string
factorId The Factor Identifier integer (int32)
factorInfo The Factor Info string
factorType The GHG Factor type. Values for this field can be “use meter address” or “specific factor” string
defaultScopeCategory GHGScopeCategoryV202210
GHGScopeCategoryV202210 properties
Property Description Type
scope GHGScopeV202210
GHGScopeV202210 properties
Property Description Type
scopeId The Scope Identifier integer (int32)
scopeInfo The Scope Info string
scopeCategoryDescription The GHG Scope Category Description string
scopeCategoryId The GHG Scope Category Identifier integer (int32)
scopeCategoryInfo The GHG Scope Category Info string
inUseByVendor Flag to indicate if the commodity is assigned to any meters boolean
Example Response application/json
[
  {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string",    "defaultFactor": {      "factorCategory": {},      "factorDescription": "string",      "factorId": 1,      "factorInfo": "string",      "factorType": "string"
    },    "defaultScopeCategory": {      "scope": {},      "scopeCategoryDescription": "string",      "scopeCategoryId": 1,      "scopeCategoryInfo": "string"
    },    "inUseByVendor": false
  }
]